Subject: Re: [bug#76109] [PATCH] doc: Mention --check --no-grafts as a way to force-rebuild packages.

From: Rostislav Svoboda <[email-masked]>
Date: Fri, 7 Feb 2025 20:33:47 +0100

Le ven. 7 févr. 2025 à 20:02, Leo Famulari <[email-masked]> a écrit :
> I realized that it would be worthwhile to include a brief explanation of
> why --no-grafts would be necessary here, so I wrote another sentence and
> pushed as 8e9bceda87d55f475992ec5184590463ac7b5ffb

Thanks for the improvement, Leo.

> Thanks for recognizing the need for the documentation and making it
> happen!

I just asked at the "Guile & Guix Errors" session at FOSDEM 2025
during the Guix Days Fringe event, and Ludo shared this hack with me.

(For the record, until now, I have forced package rebuilds by putting
a dummy (write "...") or (format #t "...") in one of the user-defined
modify-phases.)

BTW, I feel like the whole explanation of what grafts and grafting are
could be made a bit clearer—with the help of a picture or something
similar. But that's something for another pull request.

Cheers, Bost